# xarray.ufuncs.logaddexp2

`xarray.ufuncs.``logaddexp2` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.logaddexp2. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  logaddexp2(x1, x2, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Logarithm of the sum of exponentiations of the inputs in base-2.

  Calculates `log2(2**x1 + 2**x2)`. This function is useful in machine learning when the calculated probabilities of events may be so small as to exceed the range of normal floating point numbers. In such cases the base-2 logarithm of the calculated probability can be used instead. This function allows adding probabilities stored in such a fashion.

  Parameters:

  x1, x2 : array_like

  > Input values.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  result : ndarray

  > Base-2 logarithm of `2**x1 + 2**x2`.

  See also

  `logaddexp`
    Logarithm of the sum of exponentiations of the inputs.

  Notes

  New in version 1.3.0.

  Examples

      >>> prob1 = np.log2(1e-50)
      >>> prob2 = np.log2(2.5e-50)
      >>> prob12 = np.logaddexp2(prob1, prob2)
      >>> prob1, prob2, prob12
      (-166.09640474436813, -164.77447664948076, -164.28904982231052)
      >>> 2**prob12
      3.4999999999999914e-50